Skip to main content
`Ctrl`+`K`

# TSIRKRegisterAll

Registers all of the implicit Runge-Kutta methods in `TSIRK`

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSIRKRegisterAll(void)

Not Collective, but should be called by all processes which will need the schemes to be registered

## See Also

TS: Scalable ODE and DAE Solvers, `TSIRK`, `TSIRKRegisterDestroy()`

## Level

advanced

## Location

src/ts/impls/implicit/irk/irk.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages